## libkcddb 4.13.0

=== test/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/../libkcddb  )


MACRO(KCDDB_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_executable(${_testname} TEST ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS}
                                     ${QT_QTTEST_LIBRARY} kcddb)
       ENDFOREACH(_testname)
ENDMACRO(KCDDB_EXECUTABLE_TESTS)
MACRO(KCDDB_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME kcddb-${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS}
                                     ${QT_QTTEST_LIBRARY} kcddb)
       ENDFOREACH(_testname)
ENDMACRO(KCDDB_UNIT_TESTS)

KCDDB_UNIT_TESTS(
    asynchttplookuptest
    asynccddblookuptest
    synccddblookuptest
    synchttplookuptest
    utf8test
    musicbrainztest
    asyncmusicbrainztest
    cdinfotest
    cachetest
    musicbrainztest-severaldiscs
    musicbrainztest-fulldate
)

KCDDB_EXECUTABLE_TESTS(
    syncsmtpsubmittest
    asyncsmtpsubmittest
    asynchttpsubmittest
    synchttpsubmittest
    sitestest
)

## libkcddb 4.9.2

=== debian/changelog ===
libkcddb (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:34:12 +0100

libkcddb (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:04 +0530

libkcddb (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:13:40 +0100

libkcddb (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Change build-dep to libmusicbrainz5
  * Update symbols

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:05:35 +0200

libkcddb (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Initial release. 
    - add install_docs.diff to install the kcddb KCM docs

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 17:05:59 +0200

=== debian/control ===
Source: libkcddb
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9),               
               kdelibs5-dev (>= 4:4.9.2),
               libmusicbrainz5-dev,
               pkg-kde-tools (>= 0.12),
               quilt
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb

Package: libkcddb4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 libkcddb4 contains the library of libkcddb.

Package: libkcddb-dev
Section: libdevel
Architecture: any
Depends: libkcddb4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkcddb4}
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package contains the CDDB library development files for KDE Platform

Package: kde-config-cddb
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkcddb4 (<< 4:4.4.2)
Breaks: libkcddb4 (<< 4:4.4.2)
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.

Package: libkcddb-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkcddb4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg (<< 4:4.8.80)
Replaces: kdemultimedia-dbg (<< 4:4.8.80)
Description: KDE library for interfacing with CDs -- debugging symbols
 libkcddb provides a CD interface for KDE applications.
 .
 This package contains the debugging files used to investigate problems with
 libkcddb.

## libkcddb 4.9.3

=== debian/changelog ===
libkcddb (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:40:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.9.3),
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12),
                quilt

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkcddb-dbg

## libkcddb 4.10.0

=== debian/changelog ===
libkcddb (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:06:48 +0000

libkcddb (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:57:53 +0000

libkcddb (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:39 +0100

libkcddb (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:34 +0000

libkcddb (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:10:43 +0000

libkcddb (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Drop install_docs.diff, applied upstream. No more patches remaining

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:05:58 +0000

libkcddb (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:42:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.3),
+               kdelibs5-dev (>= 4:4.10.0),
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12),
                quilt

## libkcddb 4.10.2

=== debian/changelog ===
libkcddb (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:05 +0200

libkcddb (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:41:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12),
                quilt

## libkcddb 4.11.2

=== debian/changelog ===
libkcddb (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:45:43 +0100

libkcddb (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:34:44 +0100

libkcddb (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:50:16 +0100

libkcddb (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:56:07 +0100

libkcddb (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Rohan Garg ]
  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:17 +0000

libkcddb (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Fix the symbols files for libkcddb4.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:26:04 +0100

libkcddb (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update libkcddb4.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:41:06 +0100

libkcddb (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * update symbols file

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:45:27 +0100

libkcddb (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:09:38 +0000

libkcddb (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

  [ Sune Vuorela ]
  * Bump stuff to 4.10.
  * Add myself to uploaders.
  * Update symbols file.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 21:46:28 +0000

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libmusicbrainz5-dev,
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkcddb.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkcddb.git

Package: libkcddb4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkcompactdisc4
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using 
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkcddb4 (= ${binary:Version}), libkcompactdisc-dev
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: kde-config-cddb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkcddb4 (<< 4:4.4.2)
Breaks: libkcddb4 (<< 4:4.4.2)
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkcddb4 (= ${binary:Version})
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libkcddb
 This package contains debugging files used to investigate problems with
 the KCDDB library.
 .
 This package is part of the KDE multimedia module.

## libkcddb 4.11.3

=== debian/changelog ===
libkcddb (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:17:20 +0100

libkcddb (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Sep 2013 20:19:45 +0200

libkcddb (4:4.10.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:16:34 +0200

libkcddb (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:26:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: libkcddb
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.11),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11),
  libmusicbrainz5-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkcddb.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkcddb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcddb.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcddb.git
 
 Package: libkcddb4
 Section: libs

## libkcddb 4.13.0

=== debian/changelog ===
libkcddb (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:20:12 +0100

libkcddb (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:47:21 +0200

libkcddb (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:47:05 +0100

libkcddb (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:52:45 +0000

libkcddb (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:08:14 +0100

libkcddb (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:19:19 +0000

libkcddb (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:33:38 +0000

libkcddb (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:32:59 +0000

libkcddb (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:31:42 +0000

libkcddb (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:28:36 +0100

libkcddb (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libkcddb
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.13.0),
  libmusicbrainz5-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcddb.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcddb.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkcddb.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkcddb.git
 
 Package: libkcddb4
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 .PHONY: override_dh_auto_test
 
+override_dh_makeshlibs:
+	$(overridden_command) -V -- -c0
+
 override_dh_shlibdeps:
-	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
+	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/libkcddb-([\d\.]*).tar.xz

## libkcddb 4.13.3

=== kcmcddb/doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/cddbretrieval)

=== debian/changelog ===
libkcddb (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:35:33 +0200

libkcddb (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libmusicbrainz5-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## libkcddb 4.14.1

=== debian/changelog ===
libkcddb (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:43:41 +0200

libkcddb (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:29:54 +0200

libkcddb (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:18:54 +0200

libkcddb (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:43:58 +0200

libkcddb (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:34:18 +0200

libkcddb (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:05:32 +0100

libkcddb (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 May 2014 21:27:42 +0200

libkcddb (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:55 +0200

libkcddb (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:23 +0100

libkcddb (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:53 +0100

libkcddb (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jan 2014 13:21:32 -0300

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libmusicbrainz5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcddb.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcddb.git

Package: libkcddb4
Section: libs
Architecture: any
Depends: libkcompactdisc4, ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dev
Section: libdevel
Architecture: any
Depends: libkcddb4 (= ${binary:Version}), libkcompactdisc-dev, ${misc:Depends}
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkcddb4 (<< 4:4.4.2)
Breaks: libkcddb4 (<< 4:4.4.2)
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkcddb4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libkcddb
 This package contains debugging files used to investigate problems with
 the KCDDB library.
 .
 This package is part of the KDE multimedia module.

## libkcddb 4.14.2

=== debian/changelog ===
libkcddb (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:03:02 +0200

libkcddb (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:20:22 -0700

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
 .PHONY: override_dh_auto_test
-
-override_dh_makeshlibs:
-	$(overridden_command) -V -- -c0
 
 override_dh_shlibdeps:
 	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         kdelibs5-plugins
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

## libkcddb 14.12.2

=== debian/changelog ===
libkcddb (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 09:18:51 +0100

libkcddb (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version


 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:59:38 -0800

libkcddb (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:28:26 +0100

libkcddb (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Fix syntax in debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:49 +0100

libkcddb (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:14 +0200

libkcddb (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file with 4:4.13.3-1 buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 19:55:59 +0200

libkcddb (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jul 2014 13:19:00 +0200

libkcddb (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:20:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: libkcddb
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcddb
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcddb.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcddb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcddb.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcddb.git
 
 Package: libkcddb4
 Section: libs
@@ -33,7 +30,10 @@
 Package: libkcddb-dev
 Section: libdevel
 Architecture: any
-Depends: libkcddb4 (= ${binary:Version}), libkcompactdisc-dev, ${misc:Depends}
+Depends: kdelibs5-dev,
+         libkcddb4 (= ${binary:Version}),
+         libqt4-dev,
+         ${misc:Depends}
 Description: CDDB library for KDE Platform (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the Internet.

## libkcddb 14.12.3

=== debian/changelog ===
libkcddb (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:06:02 -0700

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                kdelibs5-dev,
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcddb.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcddb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcddb.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkcddb.git
 
 Package: libkcddb4
 Section: libs
@@ -30,10 +30,7 @@
 Package: libkcddb-dev
 Section: libdevel
 Architecture: any
-Depends: kdelibs5-dev,
-         libkcddb4 (= ${binary:Version}),
-         libqt4-dev,
-         ${misc:Depends}
+Depends: libkcddb4 (= ${binary:Version}), libkcompactdisc-dev, ${misc:Depends}
 Description: CDDB library for KDE Platform (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the Internet.

## libkcddb 15.08.2

=== debian/changelog ===
libkcddb (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:54:57 +0100

libkcddb (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:37:55 +0100

libkcddb (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:44:45 +0100

libkcddb (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:22:29 +0100

libkcddb (4:15.04.3-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * New patch: libmusicbrainz5cc.patch (Closes: #791884)
  * Update symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 23:02:59 +0200

libkcddb (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                kdelibs5-dev,
                libmusicbrainz5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcddb.git/

## libkcddb 15.12.2

=== debian/changelog ===
libkcddb (4:15.12.2-2) unstable; urgency=medium

  [ Rohan Garg ]
  * New upstream release

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:44:38 +0200

libkcddb (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:49 +0200

libkcddb (4:15.04.1-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777949)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 12:25:46 +0200

libkcddb (4:15.04.1-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * Update symbols files from buildds logs (4:14.12.2-1).
  * New patch: libmusicbrainz5cc.patch (Closes: #791884)
  * Bump build depends of libmusicbrainz5-dev to 5.1.0+git20150707~

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Jul 2015 11:57:03 +0200

## libkcddb 15.12.3

=== CMakeLists.txt ===
project(libkcddb)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

macro_optional_find_package(MusicBrainz5)
macro_log_feature(MUSICBRAINZ5_FOUND "MusicBrainz5" "A library that provides access to metadata lookup on the MusicBrainz server" "http://www.musicbrainz.org" FALSE "" "Music metadata lookup for KDE multimedia applications through libkcddb. You need version 5.x of libmusicbrainz")

if(MUSICBRAINZ5_FOUND)
    set(HAVE_MUSICBRAINZ5 1)
    include_directories(${MUSICBRAINZ5_INCLUDE_DIRS})

    set(libmusicbrainz_SRCS ${libmusicbrainz_SRCS}
       musicbrainz/musicbrainzlookup.cpp
       musicbrainz/asyncmusicbrainzlookup.cpp)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
else(MUSICBRAINZ5_FOUND)
    set(HAVE_MUSICBRAINZ5 0)
    set(libmusicbrainz_SRCS)
endif(MUSICBRAINZ5_FOUND)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-musicbrainz.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-musicbrainz.h )

add_subdirectory( test )
add_subdirectory( kcmcddb )
add_subdirectory( libkcddb )

# Figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into LibkcddbConfig.cmake
file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/cmake/libkcddb ${CMAKE_INSTALL_PREFIX})

configure_file(LibkcddbConfig.cmake.in ${CMAKE_BINARY_DIR}/LibkcddbConfig.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/LibkcddbConfig.cmake DESTINATION ${LIB_INSTALL_DIR}/cmake/libkcddb)
install(EXPORT LibkcddbTargets DESTINATION ${LIB_INSTALL_DIR}/cmake/libkcddb/ FILE LibkcddbTargets.cmake NAMESPACE KDE::Libkcddb::)

=== debian/changelog ===
libkcddb (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:15:53 -0700

libkcddb (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release (15.12.1) 
  * Bump version.. oops 
  * Fix tags in the patch. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:25:20 +0100

libkcddb (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libmusicbrainz5-dev,
+               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcddb.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkcddb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcddb.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcddb.git
 
 Package: libkcddb4
 Section: libs
@@ -30,7 +29,10 @@
 Package: libkcddb-dev
 Section: libdevel
 Architecture: any
-Depends: libkcddb4 (= ${binary:Version}), libkcompactdisc-dev, ${misc:Depends}
+Depends: kdelibs5-dev,
+         libkcddb4 (= ${binary:Version}),
+         libqt4-dev,
+         ${misc:Depends}
 Description: CDDB library for KDE Platform (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the Internet.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_shlibdeps:
 	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime

=== debian/tests/control ===
--- 
+++ 
@@ -7,3 +7,4 @@
 Tests: acc
 Depends: @,
          dh-acc, exuberant-ctags
+Restrictions: allow-stderr

## libkcddb 16.08.3

=== debian/changelog ===
libkcddb (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:18:13 +0100

libkcddb (4:16.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:34:36 +0200

libkcddb (4:16.08.0-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 07:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                kdelibs5-dev,
                libmusicbrainz5-dev (>= 5.1.0+git20150707~),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcddb.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcddb.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkcddb.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkcddb.git
 
 Package: libkcddb4
 Section: libs
@@ -50,16 +50,3 @@
  Platform.
  .
  This package is part of the KDE multimedia module.
-
-Package: libkcddb-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: libkcddb4 (= ${binary:Version}), ${misc:Depends}
-Breaks: kdemultimedia-dbg
-Replaces: kdemultimedia-dbg
-Description: debugging symbols for libkcddb
- This package contains debugging files used to investigate problems with
- the KCDDB library.
- .
- This package is part of the KDE multimedia module.

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libkcddb-dbg
+	$(overridden_command) --dbgsym-migration='libkcddb-dbg (<= 4:15.12.2-2~2.gbpc3c7d6~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkcddb-([\d.]+).tar.xz

## libkcddb 16.12.3

=== debian/changelog ===
libkcddb (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Fix 'testsuite' autopkgtest for KF5:
    - Switch to kdeinit5
    - Add breeze-icon-theme to testsuite depends
    - Create a HOME directory
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:02 +0000

libkcddb (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Update build depends for KDE Frameworks:
    - add extra-cmake-modules, qtbase5-dev, libkf5codecs-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, kdoctools-dev, kio-dev,
      libkf5widgetsaddons-dev
    - remove kde-sc-dev-latest, kdelibs5-dev
  * Replace libmusicbrainz5cc.patch with a modern version.
  * Rename libkcddb4 as libkf5cddb16 due to soname change.
  * Use .../3/debian-qt-kde.mk (meant to be used with Frameworks based
    packages) in debian/rules instead of the version 2 (meant to be used
    by kdelibs 4 based packages)
  * Rename libkcddb-dev as libkf5cddb-dev and update installed files.
  * Update kde-config-cddb installed files.
  * Drop obsolete kde-config-cddb Breaks/Replaces.
  * Add libkf5cddbwidgets16 package.

  [ Clive Johnston ]
  * Downgrade libs from 16 to 5

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:42 +0000

libkcddb (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:30:42 +0200

libkcddb (4:15.12.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Rohan Garg <rohan@kde.org>  Fri, 26 Feb 2016 22:26:16 +0100

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: libkf5cddb5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddbwidgets5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         libkf5cddbwidgets5 (= ${binary:Version}),
         ${misc:Depends}
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkf5cddb5 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libkcddb
 This package contains debugging files used to investigate problems with
 the KCDDB library.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkcddb-dbg

## libkcddb 17.04.3

=== debian/changelog ===
libkcddb (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5cddb-data installing the translations
  * Install documentation translations and add Breaks/Replaces against
    kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:03 +0100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,20 @@
 Package: libkf5cddb5
 Section: libs
 Architecture: any
+Depends: libkf5cddb-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: CDDB library for KDE Platform (runtime)
+ The KDE Compact Disc DataBase library provides an API for applications using
+ the KDE Platform to fetch and submit audio CD information over the Internet.
+ .
+ This package is part of the KDE multimedia module.
+
+Package: libkf5cddb-data
+Section: libs
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: CDDB library for KDE Platform (runtime)
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: CDDB library for KDE Platform - data files
  The KDE Compact Disc DataBase library provides an API for applications using
  the KDE Platform to fetch and submit audio CD information over the Internet.
  .
@@ -58,6 +70,8 @@
 Package: kde-config-cddb
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: CDDB retrieval configuration
  This package contains a configuration module for tweaking CDDB retrieval
  settings for applications using the libkcddb library from the KDE Multimedia
